package com.docus.server.collection.feign.service;

import com.docus.infrastructure.web.api.CommonResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ceh
 */
@FeignClient(url = "${docus.url.sign-out-url}",name = "Medicalrecord")
public interface MedicalrecordService {

    /*
     * @description 签出或返修
     * @author  chierhao
     * @date 2023-10-08 11:00
     * @param patientId
     * @return: com.docus.infrastructure.web.api.CommonResult
     */
    @PostMapping("/basic/tbasic/signOutOrBackRepair")
    CommonResult signOutOrBackRepair(@RequestParam(value = "patientId") String patientId);
}
