package com.docus.server.collection.service;

import com.docus.server.collection.dto.UserDto;

/**
 * 用户服务
 */
public interface IPowerUserService {
    /**
     * 用户注册
     *
     * @param userDto 用户注册参数
     * @return 处理结果
     */
    boolean register(UserDto userDto);

    /**
     * 根据用户工号删除用户
     *
     * @param userName 用户工号
     * @return 删除结果
     */
    boolean delUserByUserName(String userName);
}
